@echo off
goto begin

Produce.Bat by Bill Buckels 1995

In order to use squash32 to process groups of .BMP files
in an effective manner it was necessary to simplify the
process by either:

A. using a non-windows naming convention of .BMW
for the outputfile.

B. to create an output file directory so that the
input file is not over-written.

This batch file demonstrates both techniques.

The companion batch file PLOOP.BAT is required to do the
actual processing... PLOOP.BAT traps a DOS Errorlevel to
try successively greater color reductions if there are
too many colors until a successful reduction is performed.

:begin

echo ..PRODUCE.BAT by Bill Buckels 1995.......................................
echo This is a sample production batch for non-interactive use of SQUASH32.EXE
echo This batch will squash all the 256 color bitmaps in the current directory
echo .........................................................................
echo It will do so twice by using 2 different methods...
echo Read the comments in PRODUCE.BAT and in the SQUASH32.C source code
echo For further information. Modify PRODUCE.BAT to suit your needs. Thanks.
echo .........................................................................
echo Press Control C To Exit or any other key to start...
pause


if not exist ploop.bat goto err
if not exist squash32.exe goto err


echo .........................................................................
echo Method 1 - SQUASHING using AUTOMATIC NAME GENERATION of .BMW
echo .........................................................................
for %%f in (*.bmp) do call ploop.bat %%f AUTONAME

md SQUASH
echo SQUASH.TXT > SQUASH\SQUASH.TXT
if not exist SQUASH\SQUASH.TXT goto direrr
erase SQUASH\SQUASH.TXT
echo .........................................................................
echo Method 2 - SQUASHING using ALTERNATE OUTPUT DIRECTORY for .BMP files
echo .........................................................................
for %%f in (*.bmp) do call ploop.bat %%f SQUASH\%%f
goto end

:err
echo .........................................................................
echo SQUASH32.EXE and PLOOP.BAT must be in the current directory...
echo .........................................................................
goto end

:direrr
echo .........................................................................
echo UNABLE TO CREATE THE SQUASH WORKING DIRECTORY...
echo .........................................................................
goto end

:end
echo Done!
